Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites". Attention, le forum rencontre actuellement quelques difficultés. En cas d'erreur 502, il ne faut pas re-valider l'envoi d'un message ou l'ouverture d'une discussion, au risque de créer un doublon.

La section divers se réorganise ! De nouvelles sous-sections à venir. (plus d'infos + donner son avis)

nombre réponses : 25

#0 Re : -1 »  Bee (lightweight desktop environment) » Le 15/06/2011, à 17:36

Sleeper
Réponses : 1281

Caspual,

Petites remarques sad

wget -nc $DEPOT/fbpanel-fr_6.0-1_i386.deb
dpkg -i fbpanel-fr_6.0-1_i386.deb

Ce genre de procédure va poser problème à coup sure, dpkg ne gère pas les dépendances.

Le paquet fbpanel-fr_6.0-1_i386.deb a été réalisé avec checkinstall qui ne gère pas les dépendances non plus, le paquet s'installera mais ne fonctionnera pas sauf chez toi car tu as du installer toutes les dépendances pour le compiler.

De plus il faut indiquer que ce paquet est en conflit avec fbpanel car ils ne peuvent pas être installer tous les deux en même temps.

Package: fbpanel-fr
Priority: extra
Section: checkinstall
Installed-Size: 425
Maintainer: caspual
Architecture: i386
Version: 6.0-1
Depends:
Provides: fbpanel
Conflicts:
Replaces:
Description: fbpanel fr

Je pensais que tu voulais remplacer le système petit dépôt personnel + apt-get install par un système wget archive.tar.gz + installation.
Télécharger les paquets avec wget et les installer avec dpkg -i ne fonctionnera pas car aucunes gestion des dépendances.

Je te conseil de corriger le script comme ceci :

- Mise en place d'un petit dépôt ça prend 5 minutes, copie des fichiers .deb sur le serveur et création d'un fichier Packages.gz j'ai un script pour ça.
- Remplacement de la procédure wget + dpkg par installation d'un nouveau dépôt et apt-get install
- Création d'un paquet fbpanel 6.0 digne de ce nom (il va falloir plonger les mains dans le cambouis big_smile) ou suppression temporaire

Bonne continuation

#1 Re : -1 »  Bee (lightweight desktop environment) » Le 15/06/2011, à 17:58

Sleeper
Réponses : 1281

Mise en place d'un petit dépôt personnel

1° installez les paquets lftp et dpkg-dev qui fournit l'application dpkg-scanpackage

sudo apt-get install dpkg-dev lftp

2° copiez ce code dans un fichier depot.sh , adaptez le à votre configuration et rendez le exécutable

#!/bin/bash
# +--------------------------------------------------------------------+
# | Variables de configuration
# +--------------------------------------------------------------------+
dirlo=/home/user/apt/dist/natty # dossier local
dirdi=/apt/dist/natty # dossier distant
user="user"
password="password"
server="ftp.domain.com"
# +--------------------------------------------------------------------+

cd $dirlo &&
dpkg-scanpackages ./ /dev/null | gzip -9c > Packages.gz &&
chmod 755 -R $dirlo &&
lftp ftp://$user:$password@$server -e "mirror -e -R $dirlo $dirdi ; quit" &&

echo "+--------------------------------------------------+" &&
echo "| Mise à jours du dépôt distant [OK]" &&
echo "+--------------------------------------------------+"

3° une fois que tous les paquets de votre dépôt sont copié dans le dossier local, exécutez le script qui se chargera de réaliser le fichier Packages.gz et de mettre tout sur votre FTP

4° ajoutez le dépôt dans votre sources.list

deb http://apt.domain.com/dist/natty/ ./

C'est aussi simple que ça wink

#2 Re : -1 »  Bee (lightweight desktop environment) » Le 19/06/2011, à 10:19

Sleeper
Réponses : 1281

D'accord mais c'est impossible de remplacer tous les apt-get du script Debian/Ubuntu. Et remplacer apt-get par dpkg -i (que tu utilises quand même 6 fois dans le script) n'est pas une bonne solution c'est une régression.

dpkg -i bee-wbar_0.1_all.deb

Cette procédure ne fonctionnera pas si tu n'as pas installé le paquet wbar toi même avant car bee-wbar_0.1_all.deb dépend de wbar et que dpkg -i ne gère pas les dépendances.

Tout ce qui est wallpapers, musique (tout les paquets que j'ai réalisé avec le suffixe bee) peuvent être effectivement remplacé par des archives.tar.gz sans problèmes ce qui permet le support de toutes les distributions.

C'est moins dure de faire un dépôt pour 2 paquets, fbpanel-fr et pypanel que de les convertir en tar.gz tout en gardant la gestion des dépendances. Pour moi on ne peut pas se passer des paquets .deb sur Debian et ses dérivées.

caspual a écrit :

De plus, je songe aux autre distributions, qui n'ont pas apt. Encore une fois, rien n'est figé, peut-être un dépôt, peut-être pas...  ;-)

Le mieux si tu veux faire un script en pensant aux autres distribution c'est de remplacer les procédures d'installation (apt-get -y --force-yes install) et les noms des paquets par des variables et d'importer dans le script principal un fichier/distribution qui pourras être facilement adaptable.

Les distributions qui n'ont pas apt on leur propre sytème comme pacman sur Archlinux dont on ne peut se passer. Le mieux que tu puisse faire c'est adapter le script pour le support facile d'autres distributions tout en utilisant le système d’installation de paquets prévu à cet effet.

Ca sera plus facile pour celui qui veut s'occuper de la version Archlinux de remplacer apt-get -y --force-yes install par pacman -S et de vérifier si tous les noms de paquets sont correcte. N'oublie pas que si tu développe une procédure pour installer un tar.gz tu dois aussi développer une procédure pour le désinstaller, de plus il faut gérer les dépendances, et un programme compilé sous Ubuntu 11.04 n'ira pas forcément sous Archlinux. La création de paquets n'est pas si anodine que ça sinon on aurait déjà depuis longtemps des paquets multi-distrib facilement installable.

Essaie de ne pas te compliquer la tâche plus qu'il ne le faut.

Bonne continuation et si tu as besoin d'aide sur certains points n'hésite pas.

#3 Re : -1 »  Bee (lightweight desktop environment) » Le 28/12/2012, à 03:09

Sleeper
Réponses : 1281

Bee version 0.8.2 pour Ubuntu 12.04 LTS

Comme j'ai un peu de temps en cette fin d'année j'ai corrigé/amélioré le script pour Ubuntu 12.04.

L'installation reste la même qu'avant à savoir, depuis une session root #

cd /usr/local/bin
wget http://bee.kowazy.be/dist/precise/bee
bash bee -i

Infos concernant le script Bee :

Bee doc Ubuntu
Bee site officiel
Changelog

@ Caspual

Si tu as le temps tu peux l'ajouter sur le site de Bee. wink

Je vous souhaite à tous plein de bonheur en cette fin d'année.

A+

#4 Re : -1 »  Bee (lightweight desktop environment) » Le 30/12/2012, à 12:20

Sleeper
Réponses : 1281

Bee version 0.8.5 pour Ubuntu 12.04 LTS

L'installation reste la même qu'avant à savoir, depuis une session root #

cd /usr/local/bin
wget http://bee.kowazy.be/dist/precise/bee
bash bee -i

Changelog

Bonne journée

Sleeper

#5 Re : -1 »  Bee (lightweight desktop environment) » Le 31/12/2012, à 13:28

Sleeper
Réponses : 1281

Petite précision c'est la version 0.8.5 et non pas 8.5 tongue

Bonne fin d'année à toutes et tous.

#6 Re : -1 »  Bee (lightweight desktop environment) » Le 01/01/2013, à 19:56

Sleeper
Réponses : 1281

Il n'y a pas encore de script pour Wheezy mais celui de Ubuntu 12.04 est facilement adaptable à Debian.

#7 Re : -1 »  Bee (lightweight desktop environment) » Le 10/01/2013, à 23:13

Sleeper
Réponses : 1281

En parlant de thème je me suis amusé dernièrement à relooker mon bureau et je suis passé du côté obscur de la force ! lol

Thème GTK : Gnome Cupertino
Thème icônes : Faience-Azur
Thème icônes : Faenza

Mettre le thème GTK dans ./themes
Faience-Azur dépend de Faience et Faenza donc mettre tous les dossiers dans ./icons

Un petit screenshot avec Bee
Des screenshots avec Unity

A+

#8 Re : -1 »  Bee (lightweight desktop environment) » Le 12/01/2013, à 11:00

Sleeper
Réponses : 1281

@ RegisBurin

- J'ai constaté le même problème dans le script de Ubuntu 10.04 et je l'ai corrigé
- Dans le nouveau script pour Ubuntu 12.04 l'erreur avait déjà été corrigée

@ Bsod

Pour gérer le serveur de son PulseAudio (par défaut sur Ubuntu) il y a deux paquets :

pavucontrol
pavumeter

Via la commande alsamixer, je règle tous les volumes de ma carte son au max et c'est PusleAudio qui prend le relais ensuite.

Pour ce qui est de aptitude...

http://blog.hikoweb.net/index.php?post/ … ut-choisir

Apparemment ce dernier gère mieux la désinstallation des dépendances, pour le reste apt-get fonctionne bien et c'est toujours l'application par défaut pour la gestion des paquets sur Ubuntu (Debian ?). Aptitude n'est plus installé de base sur Ubuntu depuis la version 10.10.

Je ne sais pas si vous utilisez Synaptic mais ce dernier utilise apt-get et permet la suppression des paquets devenu inutiles (ce qu'on reproche à apt-get car il ne le fait pas automatiquement).

J'ai lu qu'il était conseillé de choisir son camp (Synaptic / APT) ou Aptitude et je me demande toujours pourquoi il est déconseillé d'utiliser un et puis l'autre. Je suppose que c'est pour une question d'historique des paquets installés, de cache etc.

A+

#9 Re : -1 »  Bee (lightweight desktop environment) » Le 12/01/2013, à 11:08

Sleeper
Réponses : 1281

@ Bsod

Voici comment je permet de régler le volume avec Bee via des raccourcis clavier.

Ceci est un bout du fichier de config rc.xml d'Openbox :

    <!-- Pour baisser le volume -->
    <keybind key="A-w">
      <action name="Execute">
        <command>amixer set Master 3- unmute</command>
      </action>
    </keybind>
    <!-- Pour augmenter le volume -->
    <keybind key="A-x">
      <action name="Execute">
        <command>amixer set Master 3+ unmute</command>
      </action>
    </keybind>
    <!-- Pour couper le volume -->
    <keybind key="A-c">
      <action name="Execute">
        <command>amixer set Master mute</command>
      </action>
    </keybind>

Par contrer ces commandes joue directement sur les volumes de la carte son (ASLA) et non pas PulseAudio.

A+

#10 Re : -1 »  Bee (lightweight desktop environment) » Le 25/01/2013, à 18:52

Sleeper
Réponses : 1281

Le paquet flashplugin-installer est installé ?

#11 Re : -1 »  Bee (lightweight desktop environment) » Le 26/01/2013, à 13:42

Sleeper
Réponses : 1281

Quand tu es dans Chromium tape : about:plugins
et copie ici ce qu'il est écrit.

#12 Re : -1 »  Bee (lightweight desktop environment) » Le 27/01/2013, à 00:09

Sleeper
Réponses : 1281

Tout est correctement installé, il y aurait donc vraiment un problème pour charger le plugin flash.
Il faudrait que tu fasses des recherches sur le sujet pour voir si c'est un problème connu et si il y a des solutions.
Désolé mais pour ma part, je bloque.

#13 Re : -1 »  Bee (lightweight desktop environment) » Le 28/01/2013, à 17:18

Sleeper
Réponses : 1281

Pour les TTY les fichiers sont bien présent sur Ubuntu 12.04 c'est d'ailleurs en modifiant le fichier tty1.conf que l'autologin est réalisé avec Bee.

pangolin@lynnfield:~$ ls /etc/init/tty*
-rw-r--r-- 1 root root 348 avr 16  2012 /etc/init/tty1.conf
-rw-r--r-- 1 root root 333 avr 16  2012 /etc/init/tty2.conf
-rw-r--r-- 1 root root 333 avr 16  2012 /etc/init/tty3.conf
-rw-r--r-- 1 root root 333 avr 16  2012 /etc/init/tty4.conf
-rw-r--r-- 1 root root 232 avr 16  2012 /etc/init/tty5.conf
-rw-r--r-- 1 root root 232 avr 16  2012 /etc/init/tty6.conf

Pour ce qui est de SLIM je ne l'utilise pas et ne connais pas sont fonctionnement.

Note que si tu es le seul utilisateur sur ton PC où que tu partage ta session tu peux très bien te passer de SLIM, ça te fera déjà un composant en moins à charger.

Et si tu es capable de te faire une distribution au ptits oignons en installant tout ce qu'il faut à la main je ne vois pas pourquoi tu ne serais pas capable d'adapter le script de Bee, c'est lisible tout est commenté, ce n'est rien d'autres qu'une suite de commandes en fonction de certains choix.

wink

#14 Re : -1 »  Bee (lightweight desktop environment) » Le 07/02/2013, à 21:35

Sleeper
Réponses : 1281

@ Kaazan

Cool que tu ai trouvé.

Pour ce qui est de l'installation automatique en même temps que Bee, c'est tout à fait possible si tu modifie la fonction dans le script, que tu remplace le "apt-get install" par ce qu'il faut dans ton cas.

A+

#15 Re : -1 »  Bee (lightweight desktop environment) » Le 09/02/2013, à 21:21

Sleeper
Réponses : 1281

Tu peux faire un "bee-update" mais il ne faut pas cocher flash alors.

Si je fais une mise à jours du script d'Ubuntu 12.04 je mettrais cette version de flash en + sinon je verrais si c'est toujours nécessaire pour la prochaine LTS.

Oui je suis Belge big_smile originaire de Chimay mais je vis à Liège depuis 8 ans.

#16 Re : -1 »  Bee (lightweight desktop environment) » Le 23/02/2013, à 05:20

Sleeper
Réponses : 1281

Bee version 0.8.6 pour Ubuntu 12.04 LTS

Suite au problème avec Flash Plugin remonté par Kaazan j'ai mis à jours le script pour proposer la version 11.1r102

Pour mettre à jour Bee, dans une console root #

bee-update

@ Kaazan

Tu peux tester si ça fonctionne ?

Tu n'es pas obligé de supprimer l'installation manuel de Flash que tu as réalisée car le script détecte si Flash est installé avant de réinstaller cette version.

A+

#17 Re : -1 »  Bee (lightweight desktop environment) » Le 24/02/2013, à 23:45

Sleeper
Réponses : 1281

De rien avec plaisirs wink

#18 Re : -1 »  Bee (lightweight desktop environment) » Le 09/10/2013, à 21:28

Sleeper
Réponses : 1281
bsod a écrit :

en fait j'esperais plus une reaction et je pensais a ce sujet meme pour continuer le script bee, mes connaissances sont limités dans les script et mes espoirs ne sont peut etre pas realisables, tel q'un script unifié pour differentes distributions.

Je suis l'auteur de ce script et c'était un de me projets d'avoir un script pour plusieurs distribution et multilingue.

Ce que j'avais pensé faire à l'époque c'était d'avoir le script et puis un fichier de configuration assé simple dans lequel adapter uniquement ce qui change d'un distribution à l'autre. Le but étant que n'importe quel personne puisse facilement se créer un fichier de config pour sa distribution au lieu d'adapter le script complet pour chaque distribution.

Malheureusement je n'ai que rarement le temps (pour pas dire jamais) de me consacrer à ça.

Et puis est-ce que ça intéresserait beaucoup de monde ? je ne crois pas...

Libre à tout le monde de l'adapter, c'est ça le libre wink

#19 Re : -1 »  Arte +7 recorder version 5 » Le 25/06/2011, à 21:55

Sleeper
Réponses : 812

Merci Dieudo je suis sur Ubuntu 10.04 et ça fonctionne enfin depuis que j'ai mis à jours le paquet flvstreamer.

#20 Re : -1 »  Impossible d'éditer/sauvegarder configuration NetworkManager » Le 26/12/2012, à 13:53

Sleeper
Réponses : 8

Hello,

Pour ma part je me suis créé un bureau minimaliste avec openbox et j'ai rencontré le même problème avec Network-Manager.

Ce super article (et d'autres) m'a aider à résoudre plusieurs problèmes de droits lié à policykit comme le montage de clé usb etc.
http://artisan.karma-lab.net/bureau-min … ge-session

Mon problème venait du fait que je n'avais pas de session consolekit active malgré l'utilisation de ck-launch-session.

La commande ck-list-sessions me renvoyait deux sessions avec ACTIVE=FALSE j'ai du ajouter une option pam pour avoir ACTIVE=TRUE.

Voici le résumé de la manip :

1) éditer le fichier /etc/pam.d/common-session
2) ajouter la ligne :

session optional                pam_loginuid.so

avant la ligne :

session optional                pam_ck_connector.so nox11

3) redémarrer le pc

La commande ck-list-sessions affiche maintenant ACTIVE=TRUE.

Session1:
	unix-user = '1000'
	realname = 'Ubuntu'
	seat = 'Seat1'
	session-type = ''
	active = FALSE
	x11-display = ''
	x11-display-device = ''
	display-device = '/dev/tty1'
	remote-host-name = ''
	is-local = TRUE
	on-since = '2012-12-28T01:18:13.708554Z'
	login-session-id = '1'
	idle-since-hint = '2012-12-28T01:18:44.225521Z'
Session2:
	unix-user = '1000'
	realname = 'Ubuntu'
	seat = 'Seat1'
	session-type = ''
	active = TRUE
	x11-display = ':0'
	x11-display-device = '/dev/tty7'
	display-device = '/dev/tty1'
	remote-host-name = ''
	is-local = TRUE
	on-since = '2012-12-28T01:18:18.240288Z'
	login-session-id = '1'

J'ai aussi installé le paquet policykit-desktop-privileges.

En espérant que ça pourra vous aider.

A+

#21 Re : -1 »  Impossible d'éditer/sauvegarder configuration NetworkManager » Le 30/12/2012, à 22:59

Sleeper
Réponses : 8

La session ConsoleKit est bien active.

Si ce n'est pas déjà fait installe le paquet ubuntu-desktop et met à jour ton système.

sudo apt-get install ubuntu-desktop
sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade
sudo apt-get dist-upgrade

puis redémarre ton système.

Courrage roll

#22 Re : -1 »  Impossible d'éditer/sauvegarder configuration NetworkManager » Le 31/12/2012, à 13:24

Sleeper
Réponses : 8

Si tu veux une installation sur mesure mais sans GNOME j'ai créé un script qui installe le nécessaire pour un bureau léger avec Openbox.

Je viens justement de sortir une nouvelle version pour Ubuntu 12.04 voir la documentation.

http://doc.ubuntu-fr.org/bee

Après une installation minimal il faut télécharger et lancer le script qui va te demander ce que tu désires installer et à la fin, après un petit redémarrage, tu auras un bureau Openbox fonctionnel, c'est très léger donc parfait pour un serveur.

A+

#23 Re : -1 »  Surchauffe et écran noir » Le 31/05/2011, à 16:15

Sleeper
Réponses : 12

Bonjour,

Cette saloperie de portable m'a donné aussi du fil à retordre, je haï Acer et ses configurations exotiques.
Quand le voisin m'apporte son portable l'os est pourri, je lui propose d'effectuer la restauration de Windows 7 et de lui mettre en plus Ubuntu.

Je commence par restaurer Windows 7, ça prend un temps fou et malgré avoir choisi le "Francais" comme langue Windows est en anglais. Le PC c'est coupé tout seul vers la fin de la restauration je ne sais pas si c'est normal mais je remarque qu'il est très chaud alors je l'ouvre et je démonte tout le système de ventilation afin de le nettoyer. Il y a un peu de poussière mais j'ai déjà vu pire. Je remonte le système et puis j'oublie de reconnecter l'alimentation ventilateur sur la carte mère.

Je démarre sur le Live CD Ubuntu 11.04 et le PC s'éteind toujours avant que le bureau soit chargé, le PC est très chaud et je comprend que j'ai du oublié de reconnecter l'alimentation du ventilo.

Une fois le ventilo reconnecter ça chauffe tout de suite moins et le Live CD se charge complètement, par contre si je choisi l'option "Essayer Ubuntu" je termine après quelques secondes sur un écran noir. Je redémarre et je choisi l'option "Installer" je redimensionne la partition de Windows 7 (100 Go) et j'installe Ubuntu sur les 200 Go restant. L'installation prend un certains temps et au premier démarrage j'arrive aussi sur un écran noir où je peut faire bouger la souris. Je redémarre en "recovery mode" et là je choisi de lancer la session X en "low graphic" et là j'arrive sur le bureau Ubuntu classique sans Unity. C'est à ce moment là que je comprend que la carte graphique ATI n'est certainement pas bien prise en charge car Compiz ne fonctionne pas que se soit avec Unity ou une session GNOME normale avec effets graphique.

Donc pour l'instant le PC fonctionne uniquement avec la session "Ubuntu classique" sans effets graphique, on peut choisir cette session dans GDM lors de la connexion.

Dans lspci je voit comme deux lignes pour la carte graphique hmm

01:05.0 VGA compatible controller: ATI Technologies Inc RS780M/RS780MN [Radeon HD 3200 Graphics]
02:00.0 VGA compatible controller: ATI Technologies Inc Mobility Radeon HD 3650

A suivre...

#24 Re : -1 »  Surchauffe et écran noir » Le 31/05/2011, à 16:24

Sleeper
Réponses : 12
Keeklah a écrit :

Ma question est, est ce qu'il n'y aurait pas moyen de rajouter un truc pour que les ventilos des cartes graphiques se mettent à 100%, au moins pendant le processus de début ?

Il y a un seul ventilateur pour le CPU et le GPU relié par un conducteur en cuivre.

Contrôler la vitesse de ce ventilateur doit être possible via le BIOS mais chez ACER le BIOS est surement bridé pour n'afficher que les options de base.

Commence déjà par démonter tout le système de ventilation et nettoie le avec une bombe d'air compressée pour déboucher toutes les ailettes.